Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Router
    • All use cases
    • On-premises without redundancy and one cloud network
    • On-premises without redundancy and multiple cloud networks
    • On-premises with redundancy and one cloud network
    • On-premises with redundancy and multiple cloud networks
    • Two separate route instances without on-premises redundancy
    • Even redistribution of on-premise traffic (Active-Active)
    • Prioritizing on-premise traffic based on direction (Active-Standby)
    • Reserving an on-premise connection via a VPN gateway (PRC)
    • Prioritizing a static VPC route over routes from PRC
    • Even traffic distribution for route 0.0.0.0/0
    • Prioritizing traffic by direction for route 0.0.0.0/0
    • Connectivity for two cloud networks
    • Connectivity for two cloud networks and on-premises
  • Access management
      • Overview
        • Overview
        • Get
        • GetByVpcNetworkId
        • GetByCicPrivateConnectionId
        • List
        • Create
        • Update
        • UpsertPrefixes
        • RemovePrefixes
        • AddPrivateConnection
        • RemovePrivateConnection
        • UpdateNetworks
        • Delete
        • Move
        • ListOperations
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • VpcInfo
  • VpcAzInfo
  • VpcManualInfo
  • CicPrivateConnectionInfo
  1. API reference
  2. REST
  3. RoutingInstance
  4. GetByCicPrivateConnectionId

Cloud Router API, REST: RoutingInstance.GetByCicPrivateConnectionId

Written by
Yandex Cloud
Updated at May 29, 2026
  • HTTP request
  • Path parameters
  • Response
  • VpcInfo
  • VpcAzInfo
  • VpcManualInfo
  • CicPrivateConnectionInfo

Returns the RoutingInstance resource by cicPrivateConnectionId
To get the list of available RoutingInstance resources, make a List request.

HTTP requestHTTP request

GET https://cloudrouter.api.cloud.yandex.net/cloudrouter/v1/routingInstances/getByCicPrivateConnectionId/{cicPrivateConnectionId}

Path parametersPath parameters

Field

Description

cicPrivateConnectionId

string

Required field. ID of the PrivateConnection resource to return by.
To get the routingInstance ID use a RoutingInstanceService.List request.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "name": "string",
  "description": "string",
  "folderId": "string",
  "regionId": "string",
  "vpcInfo": [
    {
      "vpcNetworkId": "string",
      "azInfos": [
        {
          "manualInfo": {
            "azId": "string",
            "prefixes": [
              "string"
            ]
          }
        }
      ]
    }
  ],
  "cicPrivateConnectionInfo": [
    {
      "cicPrivateConnectionId": "string"
    }
  ],
  "status": "string",
  "deletionProtection": "boolean",
  "createdAt": "string",
  "labels": "object"
}

Field

Description

id

string

ID of the routingInstance.

name

string

Name of the routingInstance.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Description of the routingInstance. 0-256 characters long.

folderId

string

ID of the folder that the routingInstance belongs to.

regionId

string

ID of the region that the routingInstance belongs to.

vpcInfo[]

VpcInfo

List of the info about vpcNetworks which are attached to routingInstance.

cicPrivateConnectionInfo[]

CicPrivateConnectionInfo

List of the info about privateConnections which are attached to routingInstance.

status

enum (Status)

Status of the routingInstance.

  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

deletionProtection

boolean

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

VpcInfoVpcInfo

Field

Description

vpcNetworkId

string

Required field. ID of the vpcNetwork that is attached to the routingInstance.

The maximum string length in characters is 50.

azInfos[]

VpcAzInfo

List of the az-related info about vpcNetworks which are attached to routingInstance

The number of elements must be in the range 0-50.

VpcAzInfoVpcAzInfo

Field

Description

manualInfo

VpcManualInfo

Required field. VpcInfo which is set by user

VpcManualInfoVpcManualInfo

Field

Description

azId

string

Required field. ID of the AZ

The maximum string length in characters is 50.

prefixes[]

string

List of prefixes to announce

The number of elements must be in the range 0-10000.

CicPrivateConnectionInfoCicPrivateConnectionInfo

Field

Description

cicPrivateConnectionId

string

Required field. ID of the cicPrivateConnection that is attached to the routingInstance.

The maximum string length in characters is 50.

Was the article helpful?

Previous
GetByVpcNetworkId
Next
List
© 2026 Direct Cursus Technology L.L.C.